# Tok Tokkie Media Manager

|master|develop|
|:----:|:-----:|
|[![build status](https://gitlab.namibsun.net/namboy94/toktokkie/badges/master/build.svg)](https://gitlab.namibsun.net/namboy94/toktokkie/commits/master)|[![build status](https://gitlab.namibsun.net/namboy94/toktokkie/badges/develop/build.svg)](https://gitlab.namibsun.net/namboy94/toktokkie/commits/develop)|

![Logo](toktokkie/resources/logo/logo_256.png)

An multi-purpose media manager

## Installation

### Via Pip (Preferred):

**As User (Preferred)**

    $ pip install toktokkie --user
    
**Systemwide**

    # pip install toktokkie
    or
    $ sudo pip install toktokkie
    
### Via setup.py

**As User (Preferred)**

    $ python setup.py install --user
    
**Systemwide**

    # python setup.py install
    or
    $ sudo python setup.py install
    
### Binaries

The supplied binaries at the [Github Releases](https://github.com/namboy94/toktokkie/releases) page
do not require installation nor any dependencies. They can simply be executed.

## Functionality

The software is primarily used to automate various media managing tasks, ranging from renaming files,
applying Folder icons or downloading files.

To do this, the program is built upon a couple of assumptions:

Your media directories must have a subdirectory called ```.meta```.
In this subdirectory, there can be various different files used by toktokkie, but at
the very least a simple text file called ```type``` with the content describing which type
of content the directory represents. Currently supported are:

* ```tv_series```

So in general, a typical media directory would be structured like this:

    -Some TV Show
    |-- Season 1
       |-- Episode 1.mkv
       |-- ...
       |-- Episode n.mkv
    |-- Extras
      |-- Director Commentary.mkv
    |-- .meta
       |-- type    (Content: tv_series)
       |-- icons
          |-- Season 1.png
          |-- Season 1.ico
          |-- main.png
          |-- main.ico

Directories with a structure like this can then be used by toktokkie.
Any directories that are automatically generated by toktokkie are
already initialized like this.

The toktokkie program consists of several modules, each offering a textual UI and a graphical UI.
Information on the individual modules are linked below:


* [Folder Iconizer](doc/markdown/folder_iconizer.md)
* [TV Episode Renamer](doc/markdown/tv_episode_renamer.md)
* [XDCC Download Manager](doc/markdown/xdcc_download_manager.md)
* [XDCC Update](doc/markdown/xdcc_update.md)

### External Integrations

toktokkie als integrates a number of external GUIs and TUIs:

* [XDCC Downloader](https://gitlab.namibsun.net/namboy94/)

## Further Information

* [Changelog](https://gitlab.namibsun.net/namboy94/toktokkie/raw/master/CHANGELOG)
* [Gitlab](https://gitlab.namibsun.net/namboy94/toktokkie)
* [Github](https://github.com/namboy94/toktokkie)
* [Python Package Index Site](https://pypi.python.org/pypi/toktokkie)
* [Documentation(HTML)](https://docs.namibsun.net/html_docs/toktokkie/index.html)
* [Documentation(PDF)](https://docs.namibsun.net/pdf_docs/toktokkie.pdf)
* [Git Statistics (gitstats)](https://gitstats.namibsun.net/gitstats/toktokkie/index.html)
* [Git Statistics (git_stats)](https://gitstats.namibsun.net/git_stats/toktokkie/index.html)
* [Test Coverage](https://coverage.namibsun.net/toktokkie/index.html)
